Status: Acknowledged   

Priority: Normal   

Assignee: Kris Becker   

Category: Applications   

Software Version:    

Description

Hello, 

I am trying to generate control point network for bundle adjustment using interest point detector. 

findfeatures algorithm="surf@hessianThreshold:100/surf" \ match=P21_009149_1752_XI_04S222W.cal.cub \

fromlist=cube.lis \

epitolerance=1.0 ratio=0.650 hmgtolerance=1.0 \ networkid="P21_009149_1752_XI_04S222W" \

pointid="P21_009149_1752_XI_04S222W_?????" onet=P21_009149_1752_XI_04S222W.net \ debug=true

debuglog=P21_009149_1752_XI_04S222W.log 

cube.lis contains list of calibrated overlaping cubes with SPICE information..

However, I get following error

Object = findfeatures

IsisVersion       = "3.4.13.7091 stable | 2016-08-10"

ProgramVersion    = 2016-04-15

ProgramPath       = /HDD1/Programs/isis3/isis/bin

ExecutionDateTime = 2016-11-22T11:08:07

HostName          = Unknown

UserName          = tulyakov

Description       = "Feature-based matching algorithms used to create ISIS

control networks"

Group = UserParameters

FROM         = None

FROMLIST     = cube.lis

MATCH        = P21_009149_1752_XI_04S222W.cal.cub

ONET         = P21_009149_1752_XI_04S222W.net

ALGORITHM    = surf@hessianThreshold:100/surf

LISTALL      = No

LISTMATCHERS = No

LISTSPEC     = No

TOINFO       = /dev/tty

DEBUG        = true

DEBUGLOG     = P21_009149_1752_XI_04S222W.log

RATIO        = 0.650

EPITOLERANCE = 1.0

HMGTOLERANCE = 1.0

FASTGEOM     = false

GEOMTYPE     = CAMERA

FILTER       = None

NETWORKID    = P21_009149_1752_XI_04S222W

POINTID      = P21_009149_1752_XI_04S222W_?????

POINTINDEX   = 1

DESCRIPTION  = "Find features in image pairs or list"

NETTYPE      = IMAGE

GEOMSOURCE   = MATCH

End_Group

Group = MatchSolution

Efficiency    = 0.0
MinEfficiency = 0.0

MaxEfficiency = 0.0

End_Group

Group = Error

Program = findfeatures

Class   = "USER ERROR"

Code    = 2

Message = "No control points found!!"

File    = findfeatures.cpp

Line    = 339

End_Group

End_Object

What can be the reason?

History

#1 - 2016-11-28 10:02 AM - Tammy Becker

- Category set to Applications

- Status changed from New to Acknowledged

#2 - 2016-11-29 08:57 AM - Kris Becker

- Assignee set to Kris Becker

Hi Stepan...

You should look at the DEBUGLOG file generated from findfeatures to determine the reason for no valid points. Typically, you will see most points

eliminated by the ratio test so you can increase the ratio value to decrease the number of points removed and allow other outlier detector methods to

remove points. The findfeatures documentation (https://isis.astrogeology.usgs.gov/Application/presentation/Tabbed/findfeatures/findfeatures.html) 

will help explain the content of the debug log file.

The other thing to try is to use the FASTGEOM=TRUE option to apply the SPICE data to "project" each image into the camera space of the match

image. This will allow you to use other feature detectors that are not scale and rotation invariant such as FASTX.

#3 - 2016-12-06 07:08 AM - Stepan Tulyakov

The error message from the log is:

"Outlier removal process failed on Query/Train image pair".. Not much details

#4 - 2016-12-07 02:58 PM - Kris Becker

Can you provide the full context of the error message?  Perhaps post the full contents of the debug file output. It would also be helpful to see the list of

cubes in cube.lis.

Thanks...
